# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		module		fasteners
Summary:	Provides useful locks
Name:		python3-%{module}
Version:	0.19
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://pypi.debian.net/fasteners/fasteners-%{version}.tar.gz
# Source0-md5:	e957e11c2e00629e44166e1d2881798e
URL:		https://pypi.python.org/pypi/fasteners
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with tests}
BuildRequires:	python3-monotonic
BuildRequires:	python3-testtools
%endif
Requires:	python3-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides useful locks.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m zipfile -e build-3/*.whl build-3-test
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%changelog
* Thu May 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-fasteners.git;a=log;h=auto/th/python3-fasteners-0.19-1

* Tue Mar 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 191a7cf
- python3 variant, ver 0.19

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3a7e3de
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 22ee6e1
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e572f09
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> a78ae53
- release 5 (by relup.sh)

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 0151e18
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 3c7447b
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 194c6b6
- release 2 (by relup.sh)

* Wed Nov 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 0dc23a2
- initial 0.14.1

